> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/vast/custom-tracking-urls.md).

# VAST Custom Tracking URLs

## Definition

The Wrapper Ad may include any number of Tracking URLs to allow campaigns to be served from an InLine response but tracked separately from the Impression. It may also include Tracking elements for separately tracking Linear or NonLinear views or events. The server providing the Wrapper Ad response may not know exactly which creative elements are to be delivered downline in InLine ads; in this case the Wrapper should include placeholders for the maximum set of Creatives that could be played within the Video Player.

Custom Tracking URLs has 2 parameters:

* `event` The name of the event to track. The `creativeView` should always be requested when present.
  * Same event can be added multiple times, but each should have **unique URI**.
* `url` URI to track various events during playback.
  * Same URI can be added multiple times, but each should have **unique event**.
  * URL should have only ***https*** protocol.

## Example

```xml
<Tracking id="custom_1" event="creativeView"><![CDATA[https://mytrackingsolution.com/vregister.php?a=vview&tracking_event=creativeView&idzone=22222&data=abcd]]></Tracking>
```

## Supported Tracking events `tracking_event` for `Creative` > `Linear` > `TrackingEvents` > `Tracking` in VAST tag (link) or VAST wrapper tag (link)

| Event            | Explanation                                              |
| ---------------- | -------------------------------------------------------- |
| creativeView     | Triggered when the creative is displayed.                |
| start            | Triggered when the Linear ad starts playing.             |
| midpoint         | Triggered when the Linear ad reaches the middle point.   |
| firstQuartile    | Triggered when the Linear ad reaches the first quartile. |
| thirdQuartile    | Triggered when the Linear ad reaches the third quartile. |
| complete         | Triggered when the Linear ad reaches the end point.      |
| mute             | Triggered when the Linear ad is muted.                   |
| unmute           | Triggered when the Linear ad is unmuted.                 |
| pause            | Triggered when the Linear ad is paused.                  |
| rewind           | Triggered when the Linear ad is rewinded.                |
| resume           | Triggered when the Linear ad is resumed.                 |
| fullscreen       | Triggered when the Linear ad is in fullscreen.           |
| expand           | Triggered when the Linear ad is expanded.                |
| collapse         | Triggered when the Linear ad is collapsed.               |
| acceptInvitation | Triggered when the Linear ad is accepted.                |
| close            | Triggered when the Linear ad is closed.                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/publishers/vast/custom-tracking-urls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
